# geos::geom::GeometryComponentFilter Class Reference

`#include <GeometryComponentFilter.h>`

Inheritance diagram for geos::geom::GeometryComponentFilter:

List of all members.

## Public Member Functions

virtual void | filter_rw (Geometry *geom)
virtual void | filter_ro (const Geometry *geom)

## Detailed Description

`Geometry` classes support the concept of applying a `GeometryComponentFilter` filter to the `Geometry`. The filter is applied to every component of the `Geometry` which is itself a `Geometry`. A `GeometryComponentFilter` filter can either record information about the `Geometry` or change the `Geometry` in some way. `GeometryComponentFilter` is an example of the Gang-of-Four Visitor pattern.

## Member Function Documentation

virtual void geos::geom::GeometryComponentFilter::filter_rw | ( | Geometry * | geom | ) | `[virtual]`

Performs an operation with or on `geom`.

Parameters:

  | geom | a `Geometry` to which the filter is applied.

Reimplemented in geos::geom::util::LinearComponentExtracter.

The documentation for this class was generated from the following file:

- GeometryComponentFilter.h